<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the 
 * admin-facing settings page for the plugin.
 *
 * PHP Version 7.4.9
 * 
 * @category   WordPress_Plugin
 * @package    Related_Posts_404
 * @subpackage Related_Posts_404/admin/partials
 * @author     Ahmad Karim <ahmu83@gmail.com>
 * @license    https://opensource.org/licenses/GPL-2.0 GPL-2.0+
 * @link       https://ahmadkarim.com/
 * @since      1.0.0
 */

?>

<div class="block">
  <h3>How to install this plugin?</h3>

  <p class="description">
    In order for this plugin to work, you need to add this PHP snippet in your <code>404</code> template file. 
    <code>&#60;&#63;php do_action('404_related_posts') &#63;&#62;</code>
  </p>

</div>

<div class="block">
  <h3>Need help?</h3>

  <ol>
    <li>Installing the plugin?</li>
    <li>Styling your related posts?</li>
    <li>Or anything related to your site?</li>
  </ol>

  <p class="description">
    <strong><a href="mailto:info@sprysol.com?subject=WP 404 Related Posts - Help">Drop us a line</a> and we are ready to help you</strong>
  </p>

  <p class="description">
    <strong>or reach us <a href="https://www.sprysol.com/">here</a></strong>
  </p>

</div>

<div class="block buy-coffee-block">

  <p><b>Is this plugin helping you?</b></p>

  <?php Rpp_buy_coffee() ?>

</div>

<div class="block">

  <h4>Get plugin updates and similar plugin emails</h4>

  <?php Rpp_inc('admin/partials/signup-form.php') ?>

</div>

